Skip to main content
GET
/
v1
/
balance
Get account balance
curl --request GET \
  --url https://api.topcalls.ai/v1/balance \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topcalls.ai/v1/balance"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topcalls.ai/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "feature": "call_minutes",
  "remaining_minutes": 450.5,
  "allocated_minutes": 1000,
  "total_allocated_minutes": 1200,
  "used_minutes": 49.5,
  "reserved_minutes": 10,
  "welcome_bonus_consumed": 200,
  "welcome_bonus_remaining": 300,
  "usage_row": {
    "feature": "call_minutes",
    "allocated_minutes": 500,
    "used_minutes": 49.5,
    "reserved_minutes": 10,
    "welcome_bonus_consumed": 0
  }
}
{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}
{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Response

Account balance

feature
string
Example:

"call_minutes"

remaining_minutes
number | null

Remaining call minutes (plan remaining + remaining welcome bonus)

Example:

450.5

allocated_minutes
number

Plan minutes allocated (does not include welcome bonus)

Example:

1000

total_allocated_minutes
number

Plan minutes + remaining welcome bonus

Example:

1200

used_minutes
number

Regular subscription minutes consumed

Example:

49.5

reserved_minutes
number

Minutes reserved for in-progress calls

Example:

10

welcome_bonus_consumed
number

Welcome bonus consumed (max 500)

Example:

200

welcome_bonus_remaining
number

Remaining welcome bonus minutes (max 500)

Example:

300

usage_row
object | null